Package fr.gouv.vitam.common.model.logbook

# Class LogbookLifecycle

java.lang.Object
fr.gouv.vitam.common.model.logbook.LogbookEvent
fr.gouv.vitam.common.model.logbook.LogbookLifecycle

public class LogbookLifecycle extends LogbookEvent
Logbook lifecycle model

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.model.logbook.LogbookEvent

  `AG_ID, EV_DATE_TIME, EV_DET_DATA, EV_ID, EV_ID_PROC, EV_PARENT_ID, EV_TYPE, EV_TYPE_PROC, LAST_PERSISTED_DATE, OB_ID, OUT_DETAIL, OUT_MESSG, OUTCOME, RIGHTS_STATEMENT_IDENTIFIER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<LogbookEvent>`
  `getEvents()`
  `String`
  `getId()`
  `Integer`
  `getTenant()`
  `Integer`
  `getVersion()`
  `void`
  `setEvents(List<LogbookEvent> events)`
  `void`
  `setId(String id)`
  `void`
  `setTenant(Integer tenant)`
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class fr.gouv.vitam.common.model.logbook.LogbookEvent

  `getAgId, getEvDateTime, getEvDetData, getEvId, getEvIdProc, getEvParentId, getEvType, getEvTypeProc, getLastPersistedDate, getObId, getOutcome, getOutDetail, getOutMessg, getRightsStatementIdentifier, setAgId, setEvDateTime, setEvDetData, setEvId, setEvIdProc, setEvParentId, setEvType, setEvTypeProc, setLastPersistedDate, setObId, setOutcome, setOutDetail, setOutMessg, setRightsStatementIdentifier`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookLifecycle

    public LogbookLifecycle()

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      the id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - the id to set

  - ### getTenant

    public Integer getTenant()
    Returns:
      the tenant

  - ### setTenant

    public void setTenant(Integer tenant)
    Parameters:
      `tenant` - the tenant to set

  - ### getVersion

    public Integer getVersion()
    Returns:
      the version

  - ### setVersion

    public void setVersion(Integer version)
    Parameters:
      `version` - the version to set

  - ### getEvents

    public List<LogbookEvent> getEvents()
    Returns:
      the events

  - ### setEvents

    public void setEvents(List<LogbookEvent> events)
    Parameters:
      `events` - the events to set